### Method

# Gck Object get_session

#### Declaration [src]

    GckSession*
    gck_object_get_session (
      GckObject* self
    )

#### Description [src]

Get the PKCS#11 session assigned to make calls on when operating on this object.

This will only return a session if it was set explitly on this object. By default an object will open and close sessions appropriate for its calls.

Gets property | `Gck.Object:session`

#### Return value

Type: `GckSession`

The assigned session, which must be unreffed after use.

The caller of the method takes ownership of the data, and is responsible for freeing it.